Search submissions for a signup form
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/signups/{signupFormId}/submissions/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studyId": "<string>",
"pageInfo": {
"size": 10
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/signups/{signupFormId}/submissions/search"
payload = {
"studyId": "<string>",
"pageInfo": { "size": 10 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({studyId: '<string>', pageInfo: {size: 10}})
};
fetch('https://api.rallyuxr.com/api/public/v1/signups/{signupFormId}/submissions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"submissionId": "<string>",
"signupFormId": "<string>",
"personId": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"consentSubmissionId": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Forms
Search submissions for a signup form
Search submissions for a specific signup form. Returns submission data including person ID, approval status, and submission date.
POST
/
signups
/
{signupFormId}
/
submissions
/
search
Search submissions for a signup form
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the signup form
Body
application/json
Filter options to search signup form submissions. Supports person, incentive, and participant property filters.
Show child attributes
Show child attributes
Study ID for participant property filters (required when filtering by participant).
Pagination arguments. Use startCursor from the result of the endCursor of the response to get the next page. Pagination in reverse is not currently supported
Show child attributes
Show child attributes
Example:
{ "size": 10 }⌘I